Bug 59447 - APM resume brings up ppp0
APM resume brings up ppp0
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: apmd (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-07 22:18 EST by rudi
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-26 12:00:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rudi 2002-02-07 22:18:10 EST
Description of Problem:
apmscript tries to bring up ppp0 after a APM suspend/resume even if the
interface was not active before the suspend. In my case ppp0 initialisation
fails as I am not using a modem, but pppd still gets fictious IPs and, worse of
all, messes with the default route. I'd expect something similar to happen with
other configured but inactive interfaces.

Version-Release number of selected component (if applicable):
Verified with 3.0.2-5

How Reproducible:
Always

Steps to Reproduce:
1. Suspend the computer with ppp0 down
2. Resume
3. 

Actual Results:
ppp0 gets started

Expected Results:
ppp0 remains down

Additional Information:
This appears to be due to apmscript inspecting the output of 'service network
status'. It looks for the names in the line after the string "Configured
devices:", while I guess it should be looking for the names after "Currently
active devices:" instead.

I hope this helps.
Comment 1 Bernhard Rosenkraenzer 2002-02-26 12:00:29 EST
Is ONBOOT=yes for your ppp0?
Comment 2 Bernhard Rosenkraenzer 2002-02-26 12:03:43 EST
Found the problem - "service network status" output has changed since we started using it. 
Fixed in 3.0.2-7

Note You need to log in before you can comment on or make changes to this bug.